LibreOffice: XMasterPasswordHandling Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XMasterPasswordHandling Interface Referencepublished

allows to change the master password, or let it be requested and checked. More...

`import <XMasterPasswordHandling.idl;`

Inheritance diagram for XMasterPasswordHandling:

## Public Member Functions
boolean | authorizateWithMasterPassword ([in] XInteractionHandler xHandler)
| allows to check the user authorization.
boolean | changeMasterPassword ([in] XInteractionHandler xHandler)
| allows to change the master password.
void | removeMasterPassword ()
| let the master password and all the related stored passwords be removed.
boolean | hasMasterPassword ()
| allows to detect whether there is already a master password
boolean | allowPersistentStoring ([in] boolean bAllow)
| allows to specify whether persistent storing of passwords is allowed
boolean | isPersistentStoringAllowed ()
| allows to detect whether persistent storing of passwords is allowed
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to change the master password, or let it be requested and checked.

## Member Function Documentation

## ◆ allowPersistentStoring()

boolean allowPersistentStoring | ( | [in] boolean | bAllow | ) |

allows to specify whether persistent storing of passwords is allowed

After the storing is forbidden the master password and all the stored passwords are removed.

## ◆ authorizateWithMasterPassword()

boolean authorizateWithMasterPassword | ( | [in] XInteractionHandler | xHandler | ) |

allows to check the user authorization.

This call let the master password be requested from user using the provided interaction handler.

The call will use the standard interaction handler service InteractionHandler if no handler is provided.

## ◆ changeMasterPassword()

boolean changeMasterPassword | ( | [in] XInteractionHandler | xHandler | ) |

allows to change the master password.

If there is still no master password, the user will be asked to provide the new one.

The call will use the standard interaction handler service InteractionHandler if no handler is provided.

## ◆ hasMasterPassword()

boolean hasMasterPassword | ( |  | ) |

allows to detect whether there is already a master password

## ◆ isPersistentStoringAllowed()

boolean isPersistentStoringAllowed | ( |  | ) |

allows to detect whether persistent storing of passwords is allowed

## ◆ removeMasterPassword()

void removeMasterPassword | ( |  | ) |

let the master password and all the related stored passwords be removed.

The documentation for this interface was generated from the following file:

- com/sun/star/task/XMasterPasswordHandling.idl